<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">GLESGpuProgramManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLESGpuProgramManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af1a871ac005af0be0b8c1857a4f8eea9">_notifyResourceLoaded</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a40769092850d5b296e1d1a9190631700">_notifyResourceTouched</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a54d1843a43aebb13542312cd17134e6a">_notifyResourceUnloaded</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a00bb3a6324cff9b1a572282d4c596b57">addImpl</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a4cc1760272e73cc1da7684a52394f8e7">addMicrocodeToCache</a>(const String &amp;name, const Microcode &amp;microcode)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#ac58567b28f3695299633a4c94f1ca71b">addRenderSystemToName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#aa4723c868424304f5bec942e9534ab4f">canGetCompiledShaderBuffer</a>()</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a8316910598c9ceda62b3ec5be001d372">checkUsage</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a964ed591329cc8046c9fbab0713a35ce">create</a>(const String &amp;name, const String &amp;group, GpuProgramType gptype, const String &amp;syntaxCode, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac64c2b9c9dc775e05a81ff48d4293d4e">Ogre::ResourceManager::create</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#a8d30e9fa9bd02d8f9e5a959373f48ebe">CreateGpuProgramCallback</a> typedef</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#a6e060fe15b1cab2bc266ab60394209f1">createImpl</a>(const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual, ManualResourceLoader *loader, const NameValuePairList *params)</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#ae98fa82ba8004b2766576533567ea12d">createImpl</a>(const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual, ManualResourceLoader *loader, GpuProgramType gptype, const String &amp;syntaxCode)</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a4ae10f4a076844cd60392fd74995b560">createMicrocode</a>(const size_t size) const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a48c565d0e63b286c6388439ae73417df">createOrRetrieve</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a88b278890e6c8c0cc137d8053700aabe">createParameters</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a3fa0473ad1390af99f69325c2eced427">createProgram</a>(const String &amp;name, const String &amp;groupName, const String &amp;filename, GpuProgramType gptype, const String &amp;syntaxCode)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a1eadda53bbed16d5a3804cdba2ad687e">createProgramFromString</a>(const String &amp;name, const String &amp;groupName, const String &amp;code, GpuProgramType gptype, const String &amp;syntaxCode)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a4d6b9934b69d6c0731d717b22fae5715">createSharedParameters</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7913c36c02ef03007ff1a1c76ddf7710">destroyAllResourcePools</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aa8b761abb06d74347e9636550307ccd9">destroyResourcePool</a>(ResourcePool *pool)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a00a7fe59aaaa4acdfda07edc704516ee">destroyResourcePool</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a81c59ddf641d461c4f889117c6737869">getAvailableSharedParameters</a>() const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ab1c354fd2294c7c50b3f3e9ce42543f7">getByHandle</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a19e960e04cd0d6b952925901da64ffa2">getByName</a>(const String &amp;name, bool preferHighLevelPrograms=true)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a03f1bf557d381aca77797d9a44578067">Ogre::ResourceManager::getByName</a>(const String &amp;name, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a917b69fbaf300dcb0488d14d357296df">getLoadingOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ae24629f37283bf777987aab6bc3fa110">getMemoryBudget</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a0458e4665975faed7311b05879dfac2f">getMemoryUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#af6085cec0fae88bd5409bcb3970ceb36">getMicrocodeFromCache</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#adc9077f415314ebc0f7feb314b76d4d4">getNextHandle</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a4d3289d4636168230da11c1c9794db59">getResourceIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad18cc3f0a4b3e0553cfe715204f15359">getResourcePool</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a4a16604e10cd71957fcce705dead9a2c">getResourceType</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a5feb934731d48691738aa13c63c4518b">getSaveMicrocodesToCache</a>()</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a37ec0e845f49b7f7e3dc868456ced1e8">getScriptPatterns</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a45bd5be1d8a914ddfc10cb930662560a">getSharedParameters</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a215f8a158be2840363627ee55161de0c">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a1fa33935f7bc9ca113fe3adbea6493e7">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a7f512b6d1a9743505f4f51326b26644c">getSupportedSyntax</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af96b58b31c152a8ae3c6152ee3ea12e7">getVerbose</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#aba1035969ce44561cb308a86f6c7e1c2">GLESGpuProgramManager</a>()</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#acc12e02986aa586eaedc0b10a623117e">GpuProgramManager</a>()</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#ae4dcba4c725754e8e9c24810726ac42a">isMicrocodeAvailableInCache</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#af40e11c70e89d0d613b7a611870fb309">isSyntaxSupported</a>(const String &amp;syntaxCode) const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#acf1a17422bc3cd1b7af27269bf4182cf">load</a>(const String &amp;name, const String &amp;groupName, const String &amp;filename, GpuProgramType gptype, const String &amp;syntaxCode)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad6d63fe7126510bf10fd337705cb0b29">Ogre::ResourceManager::load</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#aa97ecb7825ee46c6be15313b6592ee16">loadFromString</a>(const String &amp;name, const String &amp;groupName, const String &amp;code, GpuProgramType gptype, const String &amp;syntaxCode)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#af591ed6c8f4a2a930c10156deb1883de">loadMicrocodeCache</a>(DataStreamPtr stream)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#aef34af73ab87b0b09d2707ebeb43508d">Microcode</a> typedef</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a2a6028b6d23b3dea967da49f2b23e3bc">MicrocodeMap</a> typedef</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad26313df1d10e7953c90b7c37b373cf8">mLoadOrder</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7f0a00e183f455cdce1ec9152722f9b7">mMemoryBudget</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aaa9cfdfc994de65064ba2dbe08930de8">mMemoryUsage</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a56415ef2a5a21e425d0141902749d886">mMicrocodeCache</a></td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a70a84973505dc749acb913daef662f90">mNextHandle</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#aa3770baf26d179ad66efd3e4bda61b08">mProgramMap</a></td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a00f151b76015e7e46cdb228cc3eaa53e">mResourcePoolMap</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac02278ff18455db85fa7473abad9688c">mResources</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af7ac79c874e49fadc3cd7e228ab640d8">mResourcesByHandle</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a3ea8cebb67199e6050d992036f3b4f3c">mResourcesWithGroup</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a86f8c21e087cb00a62d677ef1cd8131d">mResourceType</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a4653eb83ff12cf95f3abcc6d952dab64">mSaveMicrocodesToCache</a></td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a450dcef1a87442bcfe848ff92c43c6b5">mScriptPatterns</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a8daf06956d7a7c36a4c262f2f3c2d54c">mSharedParametersMap</a></td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GpuProgramManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a5113f20b1db6ddfb51dba652f24cd0f0">mVerbose</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a8240f6bbf3449b1f2acdd476efbde821">parseScript</a>(DataStreamPtr &amp;stream, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ae26b6ecd722f3e24b52de8b4ac9bba0d">prepare</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#a4f2df8671f852495bde91adced1cfa6f">ProgramMap</a> typedef</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#a370865200fe6af6255934afbb3a08702">registerProgramFactory</a>(const String &amp;syntaxCode, CreateGpuProgramCallback createFn)</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a860f0bcac1a4d152878855f9a85a58d3">reloadAll</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a22dbc50ba8fac0d3222a31ef1ef82dcd">reloadUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a8675d6b8c353783cf22c3872f7eaa818">remove</a>(ResourcePtr &amp;r)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#abfb0022b18d022a7605f0d19a966f00f">remove</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac22655af03ecea85d863a1d1d561778c">remove</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a6ff50fee06a678837cbeeea75e4372a5">removeAll</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7f5826bb4624b28bbe08f3c9fe88ee54">removeImpl</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a6ce966e769770ce9f90d77eddc2c30a3">removeUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a9dcc9da5760fcd3b39b4566fe308ad6b">resourceExists</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad9b4efbeacb17f07710c30bd5048e42f">resourceExists</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af6b68646abe6e9959072c1ece458ee55">ResourceHandleMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac373bd6fb2b37725970280e047d9efe4">ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a60ea46f69b1dd9c8e27b9b3d7bd5bc35">ResourceMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a4f7da59507a5a8550ea97615ff9afff0">ResourceMapIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a87899e8bec2f60ef1448d716a20db8e1">ResourcePoolMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af1a46e6268002377bc95d3721d21aa92">ResourceWithGroupMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a339d17362a072d155ca44fd334f0a3c6">saveMicrocodeCache</a>(DataStreamPtr stream) const </td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aa7bd4f02b31fba693d3bea6492fe20a8">setMemoryBudget</a>(size_t bytes)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#aa21d703ad5720d87243b2cbb8b7dc02a">setSaveMicrocodesToCache</a>(const bool val)</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aa3ff9558e8fa8187f510472a58093b6f">setVerbose</a>(bool v)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a3a0eb9f6c60a3650de8b5d842d30a1fb">SharedParametersMap</a> typedef</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GpuProgramManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a39cb435674c75c8e6b5f9e8aeebe6ec9">SyntaxCodes</a> typedef</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a2cf457c70ea86892b1bec52028c96237">unload</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a94962d0929fdc88c25d35672ff2c1ff0">unload</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#acaba96b1b4816457b03028eed9895789">unloadAll</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7b9ba584a17235f6eff9847b90ba895d">unloadUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#a221771f2a0ed863228476f534428333b">unregisterProgramFactory</a>(const String &amp;syntaxCode)</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html#ad4bd42a968b94dca7c6cd463e6543bc6">~GLESGpuProgramManager</a>()</td><td><a class="el" href="classOgre_1_1GLESGpuProgramManager.html">Ogre::GLESGpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramManager.html#a85152e35703c0f4854231d7b9309596d">~GpuProgramManager</a>()</td><td><a class="el" href="classOgre_1_1GpuProgramManager.html">Ogre::GpuProgramManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a2b2b134c38b4ead5ef13bd157fe2329a">~ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScriptLoader.html#ad7758f66fa9246639426f3044478f709">~ScriptLoader</a>()</td><td><a class="el" href="classOgre_1_1ScriptLoader.html">Ogre::ScriptLoader</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GpuProgramManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:24
</p>
</body>
</html>
